Index: c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision 02e6826b7529cac168dad2a1388186601d6ee941)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision 83d44561a5da56f29e5380edd090a1110866e88a)
@@ -1,2 +1,16 @@
+2007-12-10	Till Straumann <strauman@slac.stanford.edu>
+	
+	* Makefile.am: use shared exception/interrupt support
+	from libcpu/powerpc/new-exceptions/bspsupport rather
+	than ../shared/vectors , ../shared/irq
+
+2007-12-10	Till Straumann <strauman@slac.stanford.edu>
+	
+	* shared/vectors/vectors_entry.S, motorola_powerpc/bsp_specs,
+	shared/start/vectors_entry.S: moved vectors_entry.S to
+	'start' subdir and made a start file rather than
+	element of vectors.rel (it should always be linked but
+	won't if it is the sole member of vectors.rel).
+
 2007-12-08	Till Straumann <strauman@slac.stanford.edu>
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision 02e6826b7529cac168dad2a1388186601d6ee941)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision 83d44561a5da56f29e5380edd090a1110866e88a)
@@ -37,4 +37,10 @@
 	$(CPPASCOMPILE) -o $@ -c $<
 project_lib_DATA += rtems_crti.$(OBJEXT)
+
+EXTRA_DIST += ../../powerpc/shared/start/vectors_entry.S
+vectors_entry.$(OBJEXT): ../../powerpc/shared/start/vectors_entry.S
+	$(CPPASCOMPILE) -o $@ -c $<
+project_lib_DATA += vectors_entry.$(OBJEXT)
+
 
 dist_project_lib_DATA += ../shared/startup/linkcmds
@@ -81,10 +87,11 @@
 
 include_bsp_HEADERS += ../../powerpc/shared/irq/irq.h \
-	../../../libcpu/@RTEMS_CPU@/@exceptions@/bspsupport/irq_supp.h
+	../../../libcpu/@RTEMS_CPU@/@exceptions@/bspsupport/irq_supp.h \
+	../../../libcpu/@RTEMS_CPU@/@exceptions@/bspsupport/vectors.h \
+	../../../libcpu/@RTEMS_CPU@/@exceptions@/bspsupport/ppc_exc_bspsupp.h
 
 noinst_PROGRAMS += irq.rel
 irq_rel_SOURCES = ../../powerpc/shared/irq/irq_init.c ../../powerpc/shared/irq/openpic_i8259_irq.c \
-    ../../powerpc/shared/irq/i8259.c ../../powerpc/shared/irq/irq.c \
-    ../../powerpc/shared/irq/irq_asm.S ../../powerpc/shared/irq/irq.h
+    ../../powerpc/shared/irq/i8259.c ../../powerpc/shared/irq/irq.h
 irq_rel_CPPFLAGS = $(AM_CPPFLAGS)
 irq_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
@@ -128,14 +135,4 @@
 residual_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-include_bsp_HEADERS += ../../powerpc/shared/vectors/vectors.h
-
-noinst_PROGRAMS += vectors.rel
-vectors_rel_SOURCES = ../../powerpc/shared/vectors/vectors.h \
-    ../../powerpc/shared/vectors/vectors_init.c \
-    ../../powerpc/shared/vectors/vectors_entry.S \
-    ../../powerpc/shared/vectors/vectors.S
-vectors_rel_CPPFLAGS = $(AM_CPPFLAGS)
-vectors_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
 include_bsp_HEADERS += ../../shared/vmeUniverse/vmeUniverse.h \
     ../../shared/vmeUniverse/vme_am_defs.h \
@@ -161,5 +158,5 @@
 libbsp_a_SOURCES =
 libbsp_a_LIBADD = startup.rel pclock.rel console.rel irq.rel openpic.rel \
-    pci.rel residual.rel vectors.rel motorola.rel tod.rel vme.rel
+    pci.rel residual.rel motorola.rel tod.rel vme.rel
 libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/shared/cpuIdent.rel \
     ../../../libcpu/@RTEMS_CPU@/shared/stack.rel \
@@ -167,4 +164,5 @@
     ../../../libcpu/@RTEMS_CPU@/mpc6xx/clock.rel \
     ../../../libcpu/@RTEMS_CPU@/@exceptions@/raw_exception.rel \
+    ../../../libcpu/@RTEMS_CPU@/@exceptions@/exc_bspsupport.rel \
     ../../../libcpu/@RTEMS_CPU@/mpc6xx/mmu.rel \
     ../../../libcpu/@RTEMS_CPU@/mpc6xx/timer.rel
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/preinstall.am	(revision 02e6826b7529cac168dad2a1388186601d6ee941)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/preinstall.am	(revision 83d44561a5da56f29e5380edd090a1110866e88a)
@@ -70,4 +70,8 @@
 TMPINSTALL_FILES += $(PROJECT_LIB)/rtems_crti.$(OBJEXT)
 
+$(PROJECT_LIB)/vectors_entry.$(OBJEXT): vectors_entry.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/vectors_entry.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/vectors_entry.$(OBJEXT)
+
 $(PROJECT_LIB)/linkcmds: ../shared/startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
@@ -90,4 +94,12 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq_supp.h
 
+$(PROJECT_INCLUDE)/bsp/vectors.h: ../../../libcpu/@RTEMS_CPU@/@exceptions@/bspsupport/vectors.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/vectors.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/vectors.h
+
+$(PROJECT_INCLUDE)/bsp/ppc_exc_bspsupp.h: ../../../libcpu/@RTEMS_CPU@/@exceptions@/bspsupport/ppc_exc_bspsupp.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/ppc_exc_bspsupp.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/ppc_exc_bspsupp.h
+
 $(PROJECT_INCLUDE)/bsp/motorola.h: ../../powerpc/shared/motorola/motorola.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/motorola.h
@@ -109,8 +121,4 @@
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/pnp.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/pnp.h
-
-$(PROJECT_INCLUDE)/bsp/vectors.h: ../../powerpc/shared/vectors/vectors.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/vectors.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/vectors.h
 
 $(PROJECT_INCLUDE)/bsp/vmeUniverse.h: ../../shared/vmeUniverse/vmeUniverse.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
